## org.eclipse.emf.ecore.util
Interface FeatureMap.ValueListIterator<E>

All Superinterfaces:
  EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>, java.util.Iterator<E>, java.util.ListIterator<E>

All Known Implementing Classes:
  BasicFeatureMap.ValueListIteratorImpl, DelegatingFeatureMap.ValueListIteratorImpl

Enclosing interface:
  FeatureMap

    public static interface FeatureMap.ValueListIterator<E>

extends EContentsEList.FeatureListIterator<E>

Method Summary
`void` `add(EStructuralFeature eStructuralFeature, java.lang.Object value)`

Methods inherited from interface org.eclipse.emf.ecore.util.EContentsEList.FeatureIterator
`feature`

Methods inherited from interface java.util.ListIterator
`add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Method Detail

### add

    void add(EStructuralFeature eStructuralFeature,
             java.lang.Object value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.